OfficeGest
Workshop/Service orders/{serviceOrder}

Update service order extras

Updates department, warehouse, location, classification, mechanic and panel visibility on a service order.

PATCH
/workshop/service-orders/{serviceOrder}
AuthorizationBearer <token>

In: header

Path Parameters

serviceOrderstring
department_id?integer

Department id (departamentos.id).

warehouse_id?integer

Warehouse id (lojas.CodLoja).

location_id?integer

Location id (localizacoes.id); must belong to warehouse_id.

classification_id?integer

Classification id (ordemservico_classificacao.id).

mechanic_id?integer

Mechanic id (empreg.CodEmpr); must be active and assigned to MECANICOS panel.

show_in_mechanic_panel?boolean

Whether to show service order on mechanics panel.

Value infalse | true
seller_id?integer

Seller id (represnt.CodRepres); must be active.

employee_id?integer

Employee id (empreg.CodEmpr); must be active.

expected_delivery_date?string

Planned delivery date (Y-m-d).

Formatdate
collection_date?string

Vehicle collection datetime (Y-m-d H:i:s).

Formatdate-time
effective_delivery_date?string

Effective vehicle delivery datetime (Y-m-d H:i:s).

Formatdate-time
effective_delivery_km?number

Vehicle km counter on effective delivery.

vehicle_delivery?integer

Vehicle delivery status: 0 not authorized, 1 authorized, 2 delivered.

Value in0 | 1 | 2
observations?string

Service order observations (Obs.); HTML allowed.

mechanic_observations?string

Technical/mechanic observations (Obs. Tecnico); HTML allowed.

print_observations_on_invoice?boolean

Whether to print the observations on the document. Replaces invoice_observations.

print_mechanic_observations_on_invoice?boolean

Whether to print the technical observations on the document. Replaces mechanic_invoice_observations.

invoice_observations?booleanDeprecated

Deprecated (sunset 2027-02-28), use print_observations_on_invoice.

mechanic_invoice_observations?booleanDeprecated

Deprecated (sunset 2027-02-28), use print_mechanic_observations_on_invoice.

Response Body

curl -X PATCH "https://og-tenant1.test:8003/api/v2/workshop/service-orders/string" \
  -H "Content-Type: application/json" \
  -d '{}'
{
  "data": {
    "print_observations_on_invoice": true,
    "print_mechanic_observations_on_invoice": true,
    "invoice_observations": true,
    "mechanic_invoice_observations": true,
    "lines": [],
    "extra_lines": [],
    "interventions": []
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}